Make sure tile cookbook only requests the required postgres version
[chef.git] / roles / ysera.rb
1 name "ysera"
2 description "Master role applied to ysera"
3
4 default_attributes(
5   :networking => {
6     :interfaces => {
7       :internal_ipv4 => {
8         :interface => "eno1.2801",
9         :role => :internal,
10         :family => :inet,
11         :address => "10.0.0.15"
12       },
13       :external_ipv4 => {
14         :interface => "eno1.2800",
15         :role => :external,
16         :family => :inet,
17         :address => "193.60.236.22"
18       }
19     }
20   },
21   :postgresql => {
22     :settings => {
23       :defaults => {
24         :shared_buffers => "8GB",
25         :maintenance_work_mem => "7144MB",
26         :effective_cache_size => "16GB"
27       }
28     }
29   },
30   :sysctl => {
31     :postgres => {
32       :comment => "Increase shared memory for postgres",
33       :parameters => {
34         "kernel.shmmax" => 9 * 1024 * 1024 * 1024,
35         "kernel.shmall" => 9 * 1024 * 1024 * 1024 / 4096
36       }
37     }
38   },
39   :tile => {
40     :database => {
41       :cluster => "12/main",
42       :postgis => "3"
43     },
44     :styles => {
45       :default => {
46         :revision => "v5.0.0",
47         :tile_directories => [
48           { :name => "/store/tiles/default", :min_zoom => 0, :max_zoom => 19 }
49         ]
50       }
51     }
52   }
53 )
54
55 run_list(
56   "role[ucl]",
57   "role[tile]"
58 )